# The following tag is to get correct syntax highlighting for this file in vim text editor
# vim: syntax=spec

# This spec file is used for automatic rebuilds in COPR
# This is not the official spec file for any distro

%global with_debug 0

%if 0%{?with_debug}
%global _find_debuginfo_dwz_opts %{nil}
%global _dwz_low_mem_die_limit 0
%else
%global debug_package %{nil}
%endif

%global bin_name conmonrs
%global provider github
%global provider_tld com
%global project containers
%global repo conmon-rs
%global import_path %{provider}.%{provider_tld}/%{project}/%{repo}
%global git0 https://%{import_path}

%global crate conmon-rs

Name: %{crate}
Version: 0.5.1
Release: 4.rhaos4.12%{?dist}
Summary: Container monitor in Rust
License: ASL 2.0 and BSD and ISC and MIT
Source0: %{git0}/releases/download/v%{version}/%{bin_name}-v%{version}.tar.gz
Source1: %{git0}/releases/download/v%{version}/%{bin_name}-v%{version}-vendor.tar.gz
BuildRequires: capnproto
BuildRequires: cargo
BuildRequires: git-core
BuildRequires: make
BuildRequires: protobuf-compiler
ExclusiveArch:  %{rust_arches}
BuildRequires:  rust-toolset
Provides: %{bin_name}
ExclusiveArch: %{rust_arches}

%global _description %{expand:
%{summary}}

%description %{_description}

%prep
%autosetup -Sgit -n %{bin_name}-v%{version}

tar xvf %{SOURCE1}
mkdir -p .cargo
cat >.cargo/config << EOF
[source.crates-io]
replace-with = "vendored-sources"

[source.vendored-sources]
directory = "vendor"
EOF

%build

cat .cargo/config
%cargo_build

%install
%{__make} DESTDIR=%{buildroot} PREFIX=%{_prefix} install

%files
%license LICENSE
%{_bindir}/%{bin_name}

%changelog
* Tue Mar 19 2024 Jindrich Novy <jnovy@redhat.com> - 0.5.1-4.rhaos4.12
- rebuild to fix RHAOS tag
- Related: OCPNODE-1986

* Thu Mar 16 2023 Sascha Grunert <sgrunert@redhat.com> - 0.5.1-3.rhaos4.12.git
- Bump to v0.5.1

* Fri Nov 04 2022 Sascha Grunert <sgrunert@redhat.com> - 0.4.0-2.rhaos4.12.git
- Bump to v0.4.0

* Fri Sep 16 2022 Peter Hunt~ <pehunt@redhat.com> - 0.3.0-1.rhaos4.12.git
- Initial build for RHCOS on v0.3.0
